Subject: 8xxrom wierdness

From: Magnus Damm <[email-masked]>
Date: Tue, 11 Jan 2000 16:55:23 +0100

Hello all,

> Hi Mika
> 
> How did your mkrombin work on the zImage. Here it always failed ....
> 
> Therefore I bought an ATA Flash disk.
> I copied the zImage to the flash disk and plugged it into the board.
> 
> My problem is that the board doesn't recognise the Flash disk.
> 
> First it says that 'pcmcia: card not present'
> Then It prints an error message like: "Boot device list: Card not ready, 0xf0"
> and exits with an 'Software emulation interrupt'

Ok, this is it:

depending on what kind of processor you are using
the fads board use different slots:

860 SLOT_A
823 SLOT_B

The pcmcia code in the 8xxrom 0.3.0 is pretty screwed.
Things did not work out of the box with for my ADS860.

I've done some hacking and things are back where they were
on my ADS860 and SLOT_A and SLOT_B configuration option is added
and some nice pcmcia code is created...

Things are not really finished yet...

I can send my hacked work to anyone who wants it.
If no one wants to deal with it will I fix it later.

Cheers and good luck! /

magnus

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/